RubyGems Navigation menu

lhs 26.2.0

LHS ia a Rails-Gem, providing an ActiveRecord like interface to access HTTP-JSON-Services from Rails Applications. Special features provided by this gem are: Multiple endpoint configuration per resource, active-record-like query-chains, scopes, error handling, relations, request cycle cache, batch processing, including linked resources (hypermedia), data maps (data accessing), nested-resource handling, ActiveModel like backend validation conversion, formbuilder-compatible, three types of pagination support, service configuration per resource, kaminari-support and much more.

Versions:

  1. 26.2.0 - May 18, 2022 (150 KB)
  2. 26.1.0 - May 02, 2022 (150 KB)
  3. 26.0.1 - September 24, 2021 (150 KB)
  4. 26.0.0 - May 12, 2021 (150 KB)
  5. 25.2.0 - May 10, 2021 (150 KB)
Show all versions (268 total)

Runtime Dependencies (4):

  • activemodel >= 0
  • activesupport >= 4.2.11
  • lhc >= 12.1.1, < 16
  • local_uri >= 0
  • Development Dependencies (11):

  • capybara >= 0
  • json >= 1.8.2
  • pry >= 0
  • pry-byebug >= 0
  • rails >= 4.2.11, < 7
  • rollbar <= 2.24.0
  • rspec-rails >= 3.7.0
  • rubocop ~> 0.57.1
  • rubocop-rspec ~> 1.26.0
  • sprockets < 4
  • webmock >= 0
  • Requirements:

    Ruby >= 2.3.0

    Owners:

    Pushed by:

    Authors:

    • https://github.com/local-ch/lhs/graphs/contributors

    SHA 256 checksum:

    9862d166831ee4b1b03190159cd3aec780d03e9b6f69b65dd2e3c32bd0c642b3

    Total downloads 345,345

    For this version 115

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    GPL-3.0

    Required Ruby Version: >= 2.3.0

    Links: